GET /serviceengine/{uuid}/meminfo/
/serviceengine/{uuid}/meminfo/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"hugepage_memory_stats": {
"hugepage_size_mb": 0,
"se_hugepages_reserved": 0,
"se_qat_hugepages_allocated": 0,
"se_qat_hugepages_reserved": 0,
"socket_usage": [
{
"alloc_count": 0,
"free_count": 0,
"greatest_free_size": 0,
"heap_alloc_bytes": 0,
"heap_free_bytes": 0,
"heap_mbufs_alloc_bytes": 0,
"heap_total_bytes": 0,
"socket_id": 0
}
],
"system_hugepages_allocated": 0,
"system_hugepages_free": 0
},
"memory_config": {
"chunk_size": 0,
"number_of_arenas": 0,
"number_of_CPUs": 0,
"page_size": 0,
"pointer_size": 0,
"quantum_size": 0
},
"memory_usage": {
"config_below_soft_limit": false,
"heap_additional_config_mem": 0,
"heap_config_hard_limit": 0,
"heap_config_memory_status": "string",
"heap_config_soft_limit": 0,
"heap_config_usage": 0,
"heap_conn_usage": 0,
"heap_memory_summary": "string",
"heap_min_conn_mem": 0,
"heap_min_req_config": 0,
"shared_memory_summary": "string",
"shm_additional_config_mem": 0,
"shm_config_hard_limit": 0,
"shm_config_memory_status": "string",
"shm_config_soft_limit": 0,
"shm_config_usage": 0,
"shm_conn_usage": 0,
"shm_min_conn_mem": 0,
"shm_min_req_config": 0,
"shm_total_memory_usage": 0
},
"proc_id": "string",
"process_memory_stats": {
"bytes_allocated": 0,
"bytes_free": 0,
"bytes_mapped": 0
},
"protobuf_memory_stats": {
"current_usage": 0,
"max_mem_usage": 0,
"memory_mapped": 0
},
"se_uuid": "string",
"shared_memory_stats": {
"alloc_count": 0,
"bytes_active": 0,
"bytes_allocated": 0,
"bytes_allocated_huge": 0,
"bytes_allocated_large": 0,
"bytes_allocated_small": 0,
"bytes_mapped": 0,
"defrags": 0,
"large": {
"bytes_allocated": 0,
"number_of_dallocs": 0,
"number_of_mallocs": 0,
"number_of_requests": 0
},
"overhead_percent": "number",
"page_stats": {
"madvise": 0,
"page_active": 0,
"page_dirty": 0,
"purged": 0,
"sweep": 0
},
"small": {
"bytes_allocated": 0,
"number_of_dallocs": 0,
"number_of_mallocs": 0,
"number_of_requests": 0
},
"total": {
"bytes_allocated": 0,
"number_of_dallocs": 0,
"number_of_mallocs": 0,
"number_of_requests": 0
},
"utilization_percent": "number"
}
}
hugepage_memory_stats
memory_config
memory_usage
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
process_memory_stats
protobuf_memory_stats
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
shared_memory_stats
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/meminfo